<template>
  <d-card
    :loadingTitle="loadingTitle"
    :titleNotFound="titleNotFound"
    :loadingContent="loadingContent"
    :contentNotFound="contentNotFound"
    :loadingContentType="loadingContentType"
  >
    <template slot="header">
      <span class="font-weight-black white--text justify-space-between">{{
        data.descripcion
      }}</span>
    </template>
    <template slot="content">
      <barras @categoryClicked="categoryClicked" :data="data" />
    </template>
  </d-card>
</template>
<script>
import CardChart from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/CardChart.vue";
import Barras from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/nativas/XYChart.vue";
export default {
  name: "Component-PuntosVentaAprobados",
  components: {
    "d-card": CardChart,
    Barras,
  },
  props: {
    loadingTitle: {
      required: false,
      default: true,
      type: Boolean,
    },
    loadingContent: {
      required: false,
      default: true,
      type: Boolean,
    },
    titleNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    contentNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    data: {
      required: true,
      default() {
        return {
          descripcion: null,
          color: null,
          goal: null,
          graficaLeyends: {
            titles: {},
            categorys: {},
          },
          values: [],
        };
      },
      type: Object,
    },
  },
  data() {
    return {
      loadingContentType: "table-thead",
    };
  },
  methods: {
    categoryClicked(data) {
      this.$emit("categoryClicked", data);
    },
  },
};
</script>
